<?php
/*
 * This file is part of the petitwork package.
 * (c) 2007-2008 Exbridge,inc. <info@exbridge.jp>
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */

/**
 * Project: petitwork: the PHP lightweight web framework
 * File:    xbpwException.php
 *
 * @link http://exbridge.jp/
 * @author S.Tajima <tajima@exbridge.jp>
 * @version svn:$Id: xbpwException.php 17 2009-05-09 06:21:54Z exbridge $
 * @copyright 2007-2008 Exbridge,Inc.
 */
class xbpwException extends Exception
{
    /**
     * Creates new instance.
     * @access public
     */
    function xbpwException($errno, $errstr)
    {
        parent::__construct($errstr, $errno);
    }

    /**
     * Get Error Message.
     * @access public
     */
    function getErrorMessage()
    {
        return $this->message;
    }

    /**
     * Get Error Code.
     * @access public
     */
    function getErrorCode()
    {
        return $this->code;
    }

    /**
     * Get Error File.
     * @access public
     */
    function getErrorFile()
    {
        return $this->file;
    }

    /**
     * Get Error Line.
     * @access public
     */
    function getErrorLine()
    {
        return $this->line;
    }
}
